# ProudNet 참고자료

- [기술노트](https://docs.proudnet.com/proudnet/pn_reference_ko/notes.md)
- [메인 루프의 이해](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/main_loop.md)
- [서버 방화벽 설정](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/setting_firewall.md)
- [암호화 및 복호화](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/encryption_decoding.md)
- [에러발생 시 대처사항](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/how_to_solve_problems.md)
- [에러 메시지 목록](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/error_message_list.md)
- [캐릭터 위치 동기화](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/character_sync.md)
- [클라이언트-서버 통신](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/client_server_communication.md)
- [MiniDump (오류덤프시스템)](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/minidump.md)
- [\[1.6 버전\] 서버 간 LAN 통신기](https://docs.proudnet.com/proudnet/pn_reference_ko/notes/communcation_lan.md)
- [용어집](https://docs.proudnet.com/proudnet/pn_reference_ko/dictionary.md)
- [Sample 예제](https://docs.proudnet.com/proudnet/pn_reference_ko/sample.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.proudnet.com/proudnet/pn_reference_ko.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
